## linux 6.8.0-85.85trisquel35

=== debian/changelog ===
linux (6.8.0-85.85trisquel35) ecne; urgency=medium

  * Removed non-free bits

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 01 Oct 2025 08:10:17 +0000

linux (6.8.0-85.85) noble; urgency=medium

  * noble/linux: 6.8.0-85.85 -proposed tracker (LP: #2125109)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log

  * CVE-2025-38500
    - xfrm: interface: fix use-after-free after changing collect_md xfrm
      interface

  * TLS socket disconnection causes various issues (LP: #2120516) //
    CVE-2025-37756
    - net: tls: explicitly disallow disconnect

  * CVE-2025-38477
    - net/sched: sch_qfq: Fix race condition on qfq_aggregate
    - net/sched: sch_qfq: Avoid triggering might_sleep in atomic context in
      qfq_delete_class

  * CVE-2025-38618
    - vsock: Do not allow binding to VMADDR_PORT_ANY

  * CVE-2025-38617
    - net/packet: fix a race in packet_set_ring() and packet_notifier()

  * CVE-2025-37785
    - ext4: fix OOB read when checking dotdot dir

 -- Manuel Diewald <manuel.diewald@canonical.com>  Thu, 18 Sep 2025 14:48:00 +0200

linux (6.8.0-84.84) noble; urgency=medium

  * Linux refcount imbalance in af_unix subsystem (LP: #2121515)
    - SAUCE: af_unix: Fix GC compatibility with upstream OOB refcount changes

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 05 Sep 2025 13:33:50 +0200

linux (6.8.0-81.81) noble; urgency=medium

  * noble/linux: 6.8.0-81.81 -proposed tracker (LP: #2121671)

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/2025.08.11)

  * nvme no longer detected on boot after upgrade to 6.8.0-60 (LP: #2111521)
    - SAUCE: PCI: Disable RRS polling for Intel SSDPE2KX020T8 nvme

  * No IP Address assigned after hot-plugging Ethernet cable on HP Platform
    (LP: #2115393)
    - Revert "e1000e: change k1 configuration on MTP and later platforms"

  * minimal kernel lacks modules for blk disk in arm64 openstack environments
    where config_drive is required (LP: #2118499)
    - [Config] Enable SYM53C8XX_2 on arm64

  * rcu: Eliminate deadlocks involving do_exit() and RCU tasks (LP: #2117123)
    - rcu-tasks: Initialize callback lists at rcu_init() time
    - rcu-tasks: Maintain lists to eliminate RCU-tasks/do_exit() deadlocks
    - rcu-tasks: Eliminate deadlocks involving do_exit() and RCU tasks
    - rcu-tasks: Maintain real-time response in rcu_tasks_postscan()

  * BPF header file in wrong location (LP: #2118965)
    - [Packaging] Install bpf header to correct location

  * i915: support ARL-H gpu (LP: #2117716)
    - drm/i915: Add additional ARL PCI IDs
    - drm/i915/mtl: Add fake PCH for Meteor Lake
    - drm/i915/mtl: Wake GT before sending H2G message
    - drm/i915/xelpg: Add workaround 14019877138
    - drm/i915/xelpg: Extend driver code of Xe_LPG to Xe_LPG+
    - drm/i915/display: correct dual pps handling for MTL_PCH+

  * Ubuntu 24.04.2: NULL pointer dereference with Ceph and selinux
    (LP: #2115447)
    - SAUCE: fs/ceph, selinux: fix NULL pointer dereference on CephFS write
      with SELinux in permissive mode

  * Noble update: upstream stable patchset 2025-08-04 (LP: #2119458)
    - clockevents/drivers/i8253: Fix stop sequence for timer 0
    - sched/isolation: Prevent boot crash when the boot CPU is nohz_full
    - hrtimer: Use and report correct timerslack values for realtime tasks
    - mm: add nommu variant of vm_insert_pages()
    - io_uring: get rid of remap_pfn_range() for mapping rings/sqes
    - io_uring: don't attempt to mmap larger than what the user asks for
    - io_uring: fix corner case forgetting to vunmap
    - io_uring: use vmap() for ring mapping
    - io_uring: unify io_pin_pages()
    - io_uring/kbuf: vmap pinned buffer ring
    - io_uring/kbuf: use vm_insert_pages() for mmap'ed pbuf ring
    - io_uring: use unpin_user_pages() where appropriate
    - io_uring: fix error pbuf checking
    - rust: Disallow BTF generation with Rust + LTO
    - rust: init: fix `Zeroable` implementation for `Option<NonNull<T>>` and
      `Option<KBox<T>>`
    - lib/buildid: Handle memfd_secret() files in build_id_parse()
    - mm: split critical region in remap_file_pages() and invoke LSMs in
      between
    - stmmac: loongson: Pass correct arg to PCI function
    - rust: lockdep: Remove support for dynamically allocated LockClassKeys
    - netfilter: nf_tables: allow clone callbacks to sleep
    - drm/amd/display: should support dmub hw lock on Replay
    - drm/amd/display: Use HW lock mgr for PSR1 when only one eDP
    - KVM: arm64: Calculate cptr_el2 traps on activating traps
    - KVM: arm64: Unconditionally save+flush host FPSIMD/SVE/SME state
    - KVM: arm64: Remove host FPSIMD saving for non-protected KVM
    - KVM: arm64: Remove VHE host restore of CPACR_EL1.ZEN
    - KVM: arm64: Remove VHE host restore of CPACR_EL1.SMEN
    - KVM: arm64: Refactor exit handlers
    - KVM: arm64: Eagerly switch ZCR_EL{1,2}
    - Revert "sched/core: Reduce cost of sched_move_task when config
      autogroup"
    - wifi: iwlwifi: support BIOS override for 5G9 in CA also in LARI version
      8
    - netfilter: nft_counter: Use u64_stats_t for statistic.
    - firmware: imx-scu: fix OF node leak in .probe()
    - arm64: dts: freescale: tqma8mpql: Fix vqmmc-supply
    - arm64: dts: rockchip: remove supports-cqe from rk3588 jaguar
    - xfrm: fix tunnel mode TX datapath in packet offload mode
    - xfrm_output: Force software GSO only in tunnel mode
    - soc: imx8m: Remove global soc_uid
    - soc: imx8m: Use devm_* to simplify probe failure handling
    - soc: imx8m: Unregister cpufreq and soc dev in cleanup path
    - ARM: dts: bcm2711: Fix xHCI power-domain
    - ARM: dts: bcm2711: PL011 UARTs are actually r1p5
    - arm64: dts: rockchip: Remove undocumented sdmmc property from lubancat-1
    - RDMA/bnxt_re: Add missing paranthesis in map_qp_id_to_tbl_indx
    - RDMA/mlx5: Handle errors returned from mlx5r_ib_rate()

