=== debian/control ===
--- 
+++ 
@@ -63,7 +63,7 @@
 XS-Testsuite: autopkgtest
 #XS-Testsuite-Depends: gcc-4.7 binutils
 
-Package: linux-headers-6.8.0-86
+Package: linux-headers-6.8.0-87
 Build-Profiles: <!stage1>
 Architecture: all
 Multi-Arch: foreign
@@ -73,32 +73,32 @@
 Description: Header files related to Linux-libre kernel version 6.8.0
  This package provides kernel header files for version 6.8.0, for sites
  that want the latest kernel headers. Please read
- /usr/share/doc/linux-headers-6.8.0-86/debian.README.gz for details
-
-Package: linux-tools-6.8.0-86
+ /usr/share/doc/linux-headers-6.8.0-87/debian.README.gz for details
+
+Package: linux-tools-6.8.0-87
 Build-Profiles: <!stage1>
 Architecture: amd64 armhf arm64 ppc64el s390x
 Section: devel
 Priority: optional
 Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
-Description: Linux-libre kernel version specific tools for version 6.8.0-86
+Description: Linux-libre kernel version specific tools for version 6.8.0-87
  This package provides the architecture dependant parts for kernel
  version locked tools (such as perf and x86_energy_perf_policy) for
- version 6.8.0-86 on
+ version 6.8.0-87 on
  64 bit x86.
- You probably want to install linux-tools-6.8.0-86-<flavour>.
-
-Package: linux-cloud-tools-6.8.0-86
+ You probably want to install linux-tools-6.8.0-87-<flavour>.
+
+Package: linux-cloud-tools-6.8.0-87
 Build-Profiles: <!stage1>
 Architecture: amd64 armhf
 Section: devel
 Priority: optional
 Depends: ${misc:Depends}, ${shlibs:Depends}, linux-cloud-tools-common
-Description: Linux-libre kernel version specific cloud tools for version 6.8.0-86
+Description: Linux-libre kernel version specific cloud tools for version 6.8.0-87
  This package provides the architecture dependant parts for kernel
- version locked tools for cloud tools for version 6.8.0-86 on
+ version locked tools for cloud tools for version 6.8.0-87 on
  64 bit x86.
- You probably want to install linux-cloud-tools-6.8.0-86-<flavour>.
+ You probably want to install linux-cloud-tools-6.8.0-87-<flavour>.
 
 Package: linux-libc-dev
 Architecture: amd64 armhf arm64 i386 ppc64el riscv64 s390x
@@ -189,17 +189,17 @@
  programs targeting the packaged kernel.
 
 
-Package: linux-image-6.8.0-86-generic
+Package: linux-image-6.8.0-87-generic
 Build-Profiles: <!stage1>
 Architecture: amd64 armhf arm64 ppc64el s390x
 Section: kernel
 Priority: optional
 Provides: linux-image, fuse-module, kvm-api-4, redhat-cluster-modules, ivtv-modules, virtualbox-guest-modules [amd64], ${linux:rprovides}
-Depends: ${misc:Depends}, ${shlibs:Depends}, kmod, linux-base (>= 4.5ubuntu1~16.04.1), linux-modules-6.8.0-86-generic
+Depends: ${misc:Depends}, ${shlibs:Depends}, kmod, linux-base (>= 4.5ubuntu1~16.04.1), linux-modules-6.8.0-87-generic
 Recommends: grub-pc [amd64] | grub-efi-amd64 [amd64] | grub-efi-ia32 [amd64] | grub [amd64] | lilo [amd64] | flash-kernel [armhf arm64] | grub-efi-arm64 [arm64] | grub-efi-arm [armhf] | grub-ieee1275 [ppc64el], initramfs-tools | linux-initramfs-tool
 Breaks: flash-kernel (<< 3.90ubuntu2) [arm64 armhf], s390-tools (<< 2.3.0-0ubuntu3) [s390x]
-Conflicts: linux-image-6.8.0-86-generic
-Suggests: fdutils, linux-tools, linux-headers-6.8.0-86-generic, linux-modules-extra-6.8.0-86-generic
+Conflicts: linux-image-6.8.0-87-generic
+Suggests: fdutils, linux-tools, linux-headers-6.8.0-87-generic, linux-modules-extra-6.8.0-87-generic
 Description: Linux-libre kernel image for version 6.8.0 
  This package contains the Linux-libre kernel image for version 6.8.0
  .
@@ -211,7 +211,7 @@
  the linux-generic meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
-Package: linux-modules-6.8.0-86-generic
+Package: linux-modules-6.8.0-87-generic
 Build-Profiles: <!stage1>
 Architecture: amd64 armhf arm64 ppc64el s390x
 Section: kernel
@@ -231,12 +231,12 @@
  the linux-generic meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
-Package: linux-modules-extra-6.8.0-86-generic
-Build-Profiles: <!stage1>
-Architecture: amd64 armhf arm64 ppc64el s390x
-Section: kernel
-Priority: optional
-Depends: ${misc:Depends}, ${shlibs:Depends}, linux-modules-6.8.0-86-generic, wireless-regdb
+Package: linux-modules-extra-6.8.0-87-generic
+Build-Profiles: <!stage1>
+Architecture: amd64 armhf arm64 ppc64el s390x
+Section: kernel
+Priority: optional
+Depends: ${misc:Depends}, ${shlibs:Depends}, linux-modules-6.8.0-87-generic, wireless-regdb
 Description: Linux-libre kernel extra modules for version 6.8.0 
  This package contains the Linux-libre kernel extra modules for version 6.8.0
  .
@@ -252,20 +252,20 @@
  the linux-generic meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
-Package: linux-headers-6.8.0-86-generic
-Build-Profiles: <!stage1>
-Architecture: amd64 armhf arm64 ppc64el s390x
-Section: devel
-Priority: optional
-Depends: ${misc:Depends}, linux-headers-6.8.0-86, ${shlibs:Depends}
+Package: linux-headers-6.8.0-87-generic
+Build-Profiles: <!stage1>
+Architecture: amd64 armhf arm64 ppc64el s390x
+Section: devel
+Priority: optional
+Depends: ${misc:Depends}, linux-headers-6.8.0-87, ${shlibs:Depends}
 Provides: linux-headers, linux-headers-3.0
 Description: Linux-libre kernel headers for version 6.8.0 
  This package provides kernel header files for version 6.8.0
  .
  This is for sites that want the latest kernel headers.  Please read
- /usr/share/doc/linux-headers-6.8.0-86/debian.README.gz for details.
-
-Package: linux-lib-rust-6.8.0-86-generic
+ /usr/share/doc/linux-headers-6.8.0-87/debian.README.gz for details.
+
+Package: linux-lib-rust-6.8.0-87-generic
 Build-Profiles: <!stage1>
 Architecture: amd64
 Multi-Arch: foreign
@@ -276,7 +276,7 @@
  This package provides kernel library files for version 6.8.0, that allow to
  compile out-of-tree kernel modules written in Rust.
 
-Package: linux-image-6.8.0-86-generic-dbgsym
+Package: linux-image-6.8.0-87-generic-dbgsym
 Build-Profiles: <!stage1>
 Architecture: amd64 armhf arm64 ppc64el s390x
 Section: devel
@@ -292,27 +292,27 @@
  is uncompressed, and unstripped. This package also includes the
  unstripped modules.
 
-Package: linux-tools-6.8.0-86-generic
-Build-Profiles: <!stage1>
-Architecture: amd64 armhf arm64 ppc64el s390x
-Section: devel
-Priority: optional
-Depends: ${misc:Depends}, linux-tools-6.8.0-86
-Description: Linux-libre kernel version specific tools for version 6.8.0-86
+Package: linux-tools-6.8.0-87-generic
+Build-Profiles: <!stage1>
+Architecture: amd64 armhf arm64 ppc64el s390x
+Section: devel
+Priority: optional
+Depends: ${misc:Depends}, linux-tools-6.8.0-87
+Description: Linux-libre kernel version specific tools for version 6.8.0-87
  This package provides the architecture dependant parts for kernel
  version locked tools (such as perf and x86_energy_perf_policy) for
- version 6.8.0-86 on
+ version 6.8.0-87 on
  64 bit x86.
 
-Package: linux-cloud-tools-6.8.0-86-generic
-Build-Profiles: <!stage1>
-Architecture: amd64 armhf arm64 ppc64el s390x
-Section: devel
-Priority: optional
-Depends: ${misc:Depends}, linux-cloud-tools-6.8.0-86
-Description: Linux-libre kernel version specific cloud tools for version 6.8.0-86
+Package: linux-cloud-tools-6.8.0-87-generic
+Build-Profiles: <!stage1>
+Architecture: amd64 armhf arm64 ppc64el s390x
+Section: devel
+Priority: optional
+Depends: ${misc:Depends}, linux-cloud-tools-6.8.0-87
+Description: Linux-libre kernel version specific cloud tools for version 6.8.0-87
  This package provides the architecture dependant parts for kernel
- version locked tools for cloud for version 6.8.0-86 on
+ version locked tools for cloud for version 6.8.0-87 on
  64 bit x86.
 
 Package: linux-udebs-generic
